## mozillavpn 2.2.0

=== balrog/Makefile ===
all:
	go build -buildmode c-archive -v

install:
