=== debian/changelog ===
mozillavpn (2.2.0-1) unstable; urgency=medium

  * New upstream release
    I didn't import more recent version as they require glean
    as new dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Sep 2021 19:09:29 +0200

mozillavpn (2.1.0-1) unstable; urgency=medium

  [ Andrea Marchesini ]
  * First ubuntu package

  [ Sylvestre Ledru ]
  * Upload in Debian + polish

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Sep 2021 18:22:37 +0200
