=== debian/control ===
Source: mozillavpn
Section: net
Priority: optional
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Uploaders: Andrea Marchesini <baku@mozilla.com>
Build-Depends: debhelper (>= 8.1.3),
               flex,
               libqt5charts5-dev,
               libqt5networkauth5-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qt5-qmake-bin,
               qttools5-dev-tools,
               libxcb-render0-dev,
               libxcb-image0-dev,
               libxcb-shape0-dev,
               libxcb-sync0-dev,
               libxcb-render-util0-dev,
               libxcb1-dev,
               libxcb-xfixes0-dev,
               libxcb-icccm4-dev,
               libxcb1-dev,
               libx11-xcb-dev,
               libxcb-keysyms1-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb-icccm4-dev,
               libxcb-sync0-dev,
               libxcb-xfixes0-dev,
               libxrender-dev,
               libxcb-shape0-dev,
               libasound2-dev [linux-any],
               libaudio-dev,
               libcups2-dev,
               libdbus-1-dev,
               libfreetype6-dev,
               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
               libice-dev,
               libjpeg-dev,
               libmng-dev,
               libpng-dev,
               libsm-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff5-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               libxv-dev,
               zlib1g-dev,
               libedit-dev,
               libvulkan-dev,
               libpolkit-gobject-1-dev,
               wireguard-tools
Standards-Version: 4.4.1
Homepage: https://vpn.mozilla.org/
Vcs-Git: https://salsa.debian.org/sylvestre/mozillavpn.git
Vcs-Browser: https://salsa.debian.org/sylvestre/mozillavpn

Package: mozillavpn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         wireguard (>=1.0.20200513-1~18.04.2),
         wireguard-tools (>=1.0.20200513-1~18.04.2),
         resolvconf (>=1.82),
         qml-module-qtcharts (>=5.14.2-2),
         qml-module-qtgraphicaleffects (>=5.14.2-2),
         qml-module-qtquick-controls (>=5.14.2-2),
         qml-module-qtquick-controls2 (>=5.14.2+dfsg-2),
         qml-module-qtquick-extras (>=5.14.2-2),
         qml-module-qtquick-layouts (>=5.14.2+dfsg-3ubuntu1),
         qml-module-qtquick-window2 (>=5.14.2+dfsg-3ubuntu1),
         qml-module-qtquick2 (>=5.14.2+dfsg-3ubuntu1),
         qml-module-qtqml-models2 (>=5.14.2+dfsg-3ubuntu1),
         qml-module-qtqml (>=5.14.2+dfsg-3ubuntu1)
Description: Fast, secure and easy to use VPN.
 Built by the makers of Firefox.
 Read more on https://vpn.mozilla.org
