=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --warn-missing

override_dh_auto_configure:
	mkdir -p 3rdparty/wireguard-tools/contrib/
	if ! test -e 3rdparty/wireguard-tools/contrib/embeddable-wg-library; then \
		ln -s /usr/share/doc/wireguard-tools/examples/embeddable-wg-library 3rdparty/wireguard-tools/contrib/embeddable-wg-library; \
	fi
	qmake CONFIG+=production CONFIG-=debug CONFIG+=release CONFIG-=debug_and_release BUILD_ID=FULLVERSION

override_dh_clean:
	rm -rf 3rdparty/wireguard-tools src/.rcc/ translations/mozillavpn_en.ts
	dh_clean
