=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mozilla-vpn-client-$1\.tar\.gz/ \
  https://github.com/mozilla-mobile/mozilla-vpn-client/tags .*/v?(\d\S+)\.tar\.gz
