## mozillavpn 2.9.0

=== debian/changelog ===
mozillavpn (2.9.0-1) unstable; urgency=medium

  * New upstream release (debian configuration taken from upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 14 Aug 2022 18:52:45 +0200
