=== debian/control ===
Source: mozillavpn
Section: net
Priority: optional
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Uploaders: Andrea Marchesini <baku@mozilla.com>
Build-Depends: debhelper (>= 9.20160709),
               cmake (>= 3.16~) | cmake-mozilla (>= 3.16~),
               quilt,
               flex,
               golang (>=2:1.13~) | golang-1.13,
               cargo,
               python3-yaml,
               python3-lxml,
               libgl-dev,
               libopengl-dev (>= 1.3.0~) | libglvnd-dev (<< 1.3.0~),
               libqt6core5compat6-dev (>=6.2.0~),
               libqt6networkauth6-dev (>=6.2.0~),
               libqt6opengl6-dev (>=6.2.0~),
               libqt6svg6-dev (>=6.2.0~),
               libqt6websockets6-dev (>=6.2.0~),
               libssl-dev,
               libxkbcommon-dev,
               qmake6 (>=6.2.0~),
               qt6-base-dev (>=6.2.0~),
               qt6-base-dev-tools (>=6.2.0~),
               qt6-declarative-dev (>=6.2.0~),
               qt6-declarative-dev-tools (>=6.2.0~),
               qt6-l10n-tools (>=6.2.0~),
               qt6-tools-dev-tools (>=6.2.0~),
               libpolkit-gobject-1-dev
Standards-Version: 4.4.1
Homepage: https://vpn.mozilla.org/
Vcs-Git: https://salsa.debian.org/sylvestre/mozillavpn.git
Vcs-Browser: https://salsa.debian.org/sylvestre/mozillavpn

Package: mozillavpn
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, ${dep:devlibs},
         libpolkit-gobject-1-0 (>=0.105),
         wireguard (>=1.0.20200319),
         wireguard-tools (>=1.0.20200319),
         libqt6quick6 (>=6.2.0~),
         libqt6widgets6 (>=6.2.0~),
         libqt6gui6 (>=6.2.0~),
         libqt6qml6 (>=6.2.0~),
         libqt6network6 (>=6.2.0~),
         libqt6networkauth6 (>=6.2.0~),
         libqt6dbus6 (>=6.2.0~),
         libqt6core6 (>=6.2.0~),
         libqt6sql6-sqlite (>=6.2.0~),
         libqt6svg6 (>=6.2.0~),
         libqt6websockets6 (>=6.2.0~),
         libqt6test6 (>=6.2.0~),
         qml6-module-qt5compat-graphicaleffects (>=6.2.0~),
         qml6-module-qtquick (>=6.2.0~),
         qml6-module-qtquick-controls (>=6.2.0~),
         qml6-module-qtquick-layouts (>=6.2.0~),
         qml6-module-qtquick-localstorage (>=6.2.0~),
         qml6-module-qtquick-templates (>=6.2.0~),
         qml6-module-qtquick-window (>=6.2.0~),
         qml6-module-qtqml (>=6.2.0~),
         qml6-module-qtqml-models (>=6.2.0~),
         qml6-module-qtqml-workerscript (>=6.2.0~),
         qml6-module-qt-labs-qmlmodels (>=6.2.0~),
         qt6-qpa-plugins (>=6.2.0~)
Description: Fast, secure and easy to use VPN.
 Built by the makers of Firefox.
 Read more on https://vpn.mozilla.org
